#include <iostream>
#include <fstream>
#include <vector>
#include <random>
#include <string>
using namespace std;

//void generate_testcases(int t)
//{
//	srand(time(0));
//	int a[] = { 5, 20, 100, 20000 };
//	for(int test = 0; test < t; test++)
//	{
//		int n = rand() % a[rand() % 4] + 2;
//		vector<int> a(n);
//		for (int i = 1; i <= n; i++) a[i - 1] = i;
//		random_shuffle(a.begin(), a.end());
//		ofstream input(to_string(test) + ".in");
//		int k = rand() % n + 1;
//		while (k == a[0]) k = rand() % n + 1;
//		bool edge_case = !(rand() % 10);
//		if (edge_case) k = a[n - 1];
//		input << n << " " << k << endl;
//		for (int i = 0; i < n; i++) input << a[i] << " ";
//		input << endl;
//		input.close();
//	}
//
//}

int main()
{
	//generate_testcases(50);
	ios::sync_with_stdio(false);
	cin.tie(0);
	int n, k; cin >> n >> k;
	vector<int> a(n);
	for (int i = 0; i < n; i++) cin >> a[i];
	for (int i = 0; i < n; i++) if (a[i] == k) cout << a[(i + 1) % n] << endl;
}